CoinShares Physical Bitcoin (BTC)

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/coinshares-physical-bitcoin-btc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinshares-physical-bitcoin-btc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1730332800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investor.coinshares.com/pressreleases/coinshares-announces-q3-2024-results",
    "holding_balance": 93.0,
    "holding_net_change": 15.0,
    "transaction_value_usd": 1053032.85,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1735603200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://coinshares-files.s3.eu-north-1.amazonaws.com/coinshares_earnings_report_q4_2024.pdf",
    "holding_balance": 163.0,
    "holding_net_change": 70.0,
    "transaction_value_usd": 6535273.5,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1743379200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://coinshares-files.s3.eu-north-1.amazonaws.com/coinshares_earnings_report_q1_2025.pdf",
    "holding_balance": 236.0,
    "holding_net_change": 73.0,
    "transaction_value_usd": 6024915.569999999,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinshares-physical-bitcoin-btc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    236.0
  ],
  [
    1782950400000,
    236.0
  ],
  [
    1783036800000,
    236.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/coinshares-physical-bitcoin-btc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    14151633.8
  ],
  [
    1782950400000,
    14511127.88
  ],
  [
    1783036800000,
    14756133.64
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/coinshares-physical-bitcoin-btc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 43.63,
    "date": "2026-07-01",
    "high": 43.63,
    "open": 43.63,
    "close": 43.63,
    "volume": 1006
  },
  {
    "low": 43.975,
    "date": "2026-07-02",
    "high": 43.975,
    "open": 43.975,
    "close": 43.975,
    "volume": 2262
  },
  {
    "low": 47.84,
    "date": "2026-07-03",
    "high": 47.9,
    "open": 47.84,
    "close": 47.9,
    "volume": 37
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/coinshares-physical-bitcoin-btc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": null,
  "quarterly_earnings_growth": null,
  "eps_estimate_current_quarter": null
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinshares-physical-bitcoin-btc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 7.21,
  "six_month_return": -28.15,
  "three_month_return": -2.38
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinshares-physical-bitcoin-btc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}